
/* -------------------------------------------------------------------------------------------
                                CONTENTS
  Individual tags
  Headings
  Forms
  Links
  Tables
  Lists
 */

/* -------------------------------------------------------------------------------------------
                                HTML5 Boilerplate: Base styles: opinionated defaults
*/

/*! HTML5 Boilerplate v4.3.0 | MIT License | http://h5bp.com/ */

/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

html,
button,
input,
select,
textarea {
  // color: #222;
}

html {
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight: h5bp.com/i
 * These selection rule sets have to be separate.
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between images, videos, audio and canvas and the bottom of
 * their containers: h5bp.com/i/440
 */

audio,
canvas,
img,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border-width: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}



/* -------------------------------------------------------------------------------------------
                                Individual tags
*/
body {
  background: white repeat;
  font-family: $font-body;
  color: $colour-text-body;
  font-weight: lighter;
  font-weight: 300;

  @media only screen and (max-width: $w-average) {
    font-size: 0.92em;
  }
  @media only screen and (max-width: $w-narrow) {
    font-size: 0.86em;
  }
}

p,
li,
th, td,
blockquote {
  // max-width: 60em; // has been put on MAIN instead
}

p {
  * + & {
    margin-top: 1.2em;
  }
}

img {
  max-width: 100%;
  height: auto;
  // min-height: 1px;
}

figure {
  position: relative;
}
figcaption {
  box-sizing: border-box;
  position: absolute;
  display: block;
  width: 100%;
  bottom: 0px;
  text-align: center;
  background-color: rgba( black, 0.6);
  font-size: 0.9rem;
  line-height: 1.2;
  padding: 0.3em 0.5em;
  color: #FFF;

  .title {
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 0.3em;
  }
}

acronym, abbr {
  border-bottom: 1px dotted #222;
  cursor: help;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid $colour-dividers;
  margin: 1em 0;
  padding: 0;
  width: 70%;
  margin: 2.6em auto;
}

blockquote {
  margin: 1.5em 4%;
  position: relative;
  background: rgba( black, 0.04);
  padding: $data-field-padding;

  p {
    margin: 0;
  }

  /* the following rules insert large quotation marks */
  &:before, &:after {
    font-size: 2.5em;
    position: absolute;
  }
  &:before {
    content: "\201C";
    left: -0.5em;
    top: 0.4em;
  }
  &:after {
    content: "\201D";
    right: -0.5em;
    bottom: 0;
  }
}

::selection {}



/*------------------------------------------------------------------------
                              Links
*/
a {
  color: $colour-links;
  text-decoration: none;
  // line-height: 1;
  word-wrap: break-word;
  font-weight: 600;

  &:link {}
  &:visited {
    // color: $colour-links;
  }
  &:hover,
  &:focus {
    color: darken( $colour-links, 30% );
  }
  &:active { /* a link when it is 'clicked' on */
    color: darken( $colour-links, 40% );
  }
  &.active,
  &[aria-selected="true"] {
    font-weight: bold;
    color: inherit;
  }
}



/*------------------------------------------------------------------------
                              Headings
*/
h1, h2, h3, h4 {
  font-family: $font-headings;
  line-height: 1.1; // just a backup catch-all

  margin-top: 1.2em;
  margin-bottom: 0.6em;

  a {
    color: inherit;
    font-weight: inherit;
  }
}
h3, h4 {
  font-weight: 600;
}

h1 {
  font-size:   $font-size-h1;
  line-height: $line-height-h1;
  text-align: center;
  margin-top: 0;
  margin-bottom: 1em;
}
h2 {
  font-size:   $font-size-h2;
  line-height: $line-height-h2;
}
h3 {
  font-size:   $font-size-h3;
  line-height: $line-height-h3;
}

